%define packrel  4
%define packname Matrix

Name:           R-%{packname}
Version:        0.999375
Release:        4%{?dist}
Source0:        ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
License:        GPLv2+
#GPL version 2 or later.
# This R package includes libraries CHOLMOD, AMD, COLAMD and CSparse
# from the University of Florida sparse matrix library maintained by Tim
# Davis.  All sections of that code are covered by the GPL or LGPL
# licenses.  See the directory doc/UFsparse for details.
URL:            http://cran.r-project.org/contrib/main/Descriptions/Matrix.html
Group:          Applications/Engineering
Summary: R module, Classes etc. for dense and sparse matrices and matrix ops
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post):   R
Requires(postun): R
Requires:         R >= 2.5.1
BuildRequires:    R-devel >= 2.5.1, tetex-latex, gcc-gfortran


%description
An R module that provides classes and methods for dense and sparse
matrices and operations on them using Lapack, CSparse and CHOLMOD.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
An R module that provides classes and methods for dense and sparse
matrices and operations on them using Lapack, CSparse and CHOLMOD.

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css


%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/Copyrights
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help

%{_libdir}/R/library/%{packname}/Doxyfile
%{_libdir}/R/library/%{packname}/data
%{_libdir}/R/library/%{packname}/external
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/test-tools.R

%files devel
%defattr(-,root,root,-)
%{_libdir}/R/library/%{packname}/include

%changelog
* Sat Jan 26 2008 Tom Moertel <tom@moertel.com> - 0.999375-4
- Updated for Matrix 0.999375 (packrel=4)
- Made tweaks per most-recent Fedora R-packaging guidelines

* Wed May 23 2007 Tom Moertel <tom@moertel.com> - 0.99875-1
- Minor fixes per Fedora package-submission review
- Updated for Matrix 0.99875

* Wed Apr 25 2007  Tom Moertel <tom@moertel.com> - 0.9975-1
- Initial package creation (based on José Matos <jamatos@fc.up.pt> specs)
